Loading...
Searching...
No Matches
svn_wc_conflict_result_t Struct Reference
Working copy management » Conflict callback functionality

The final result returned by svn_wc_conflict_resolver_func_t. More...

`#include <svn_wc.h>`

## Data Fields

svn_wc_conflict_choice_t | choice
| A choice to either delay the conflict resolution or select a particular file to resolve the conflict.
const char * | merged_file
| If not NULL, this is a path to a file which contains the client's (or more likely, the user's) merging of the three values in conflict.
svn_boolean_t | save_merged
| If true, save a backup copy of merged_file (or the original merged_file from the conflict description, if merged_file is NULL) in the user's working copy.
const svn_string_t * | merged_value
| If not NULL, this is the new merged property, used when choosing svn_wc_conflict_choose_merged.

## Detailed Description

The final result returned by svn_wc_conflict_resolver_func_t.

Note
  Fields may be added to the end of this structure in future versions. Therefore, to preserve binary compatibility, users should not directly allocate structures of this type. Instead, construct this structure using svn_wc_create_conflict_result() below.

Since
  New in 1.5.

Definition at line 2205 of file svn_wc.h.

## Field Documentation

## choice

svn_wc_conflict_choice_t svn_wc_conflict_result_t::choice

A choice to either delay the conflict resolution or select a particular file to resolve the conflict.

Definition at line 2209 of file svn_wc.h.

## merged_file

const char* svn_wc_conflict_result_t::merged_file

If not NULL, this is a path to a file which contains the client's (or more likely, the user's) merging of the three values in conflict.

libsvn_wc accepts this file if (and only if) `choice` is set to svn_wc_conflict_choose_merged.

Definition at line 2215 of file svn_wc.h.

## merged_value

const svn_string_t* svn_wc_conflict_result_t::merged_value

If not NULL, this is the new merged property, used when choosing svn_wc_conflict_choose_merged.

This value is prefered over using merged_file.

Since
  New in 1.9.

Definition at line 2228 of file svn_wc.h.

## save_merged

svn_boolean_t svn_wc_conflict_result_t::save_merged

If true, save a backup copy of merged_file (or the original merged_file from the conflict description, if merged_file is NULL) in the user's working copy.

Definition at line 2220 of file svn_wc.h.

The documentation for this struct was generated from the following file:

- svn_wc.h